Page MenuHomePhabricator

Make deployment process to the cluster easier, more streamlined {hawk}
Closed, ResolvedPublic0 Story Points

Description

Make deployment process to the cluster easier, more streamlined

This is to be a parent task that will group a bunch of work.

Event Timeline

Nuria created this task.Mar 8 2016, 6:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2016, 6:19 PM
Nuria renamed this task from Make deployment process to the cluster easier, more streamlined to Make deployment process to the cluster easier, more streamlined {hawk}.Mar 8 2016, 7:11 PM
Milimetric triaged this task as Medium priority.Mar 14 2016, 4:15 PM
Milimetric set the point value for this task to 0.
Milimetric moved this task from Incoming to Operational Excellence Future on the Analytics board.

I broke this down into two subtasks as noted on the etherpad during our meeting:

Issues with Release

  • need to move jars from archiva to refinery repository-> can this be solved with Jenkins?

TASKS [get jenkins to automate releases (mvn release prepare)
get jenkins to update refinery with deploy of new jars]

  • Automate changelog
  • will run mvn release prepare /mvn release perform
  • uploads jars created to archiva

but they come in

  • No easy rollback when running mvn release perform

Issues with Deploy
[deploy refinery with scap, automate hdfs deployments with scap]
(relevant task here: T129151

hdfs deploy should be automated.

Nuria edited projects, added Analytics-Kanban; removed Analytics.Mar 17 2016, 6:56 PM
Nuria moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.Mar 21 2016, 3:05 PM
Milimetric closed this task as Resolved.EditedNov 7 2016, 4:50 PM
Milimetric claimed this task.

This project is done.